@charset "utf-8";

/* modal */
/* .ws-modal-open,
.ws-modal-open body { overflow: hidden; } */

.ws-modal-wrap { display: flex; flex-direction: column; align-items: center; justify-content: center; position: fixed; top: 0; left: 0; z-index: 1000; width: 100%; height: 100%; overflow: hidden; background: rgba(0,0,0,.5); opacity: 0; transition: opacity 0.25s ease;}
.ws-modal-wrap.ws-modal-visible { opacity: 1; }
.ws-modal-wrap.ws-modal-leave { opacity: 0; }

.ws-modal-outer {position:relative; flex:0 0 auto; width:100%; max-height:100%; padding:20px; overflow:auto; -ms-overflow-style:none;/* IE and Edge */ scrollbar-width:none;/* Firefox */}
.ws-modal-outer::webkit-scrollbar {display:none;}

.ws-modal-inner { position: relative; width: 100%; max-width: 640px; margin: 0 auto; overflow: hidden; opacity: 0; transform: scale(0.85); transition: opacity 0.25s ease 0.05s, transform 0.25s ease 0.05s; text-align: center; max-width: 640px; padding: 0; border-radius: 24px; background: #fff;  }
.ws-modal-wrap.ws-modal-visible .ws-modal-inner { opacity: 1; transform: scale(1); }
.ws-modal-wrap.ws-modal-leave .ws-modal-inner { opacity: 0; transform: scale(0.85); transition-delay: 0s; }

/* 프로모션 신청폼 */
.ws-header { padding: 34px 40px; display: flex; justify-content: space-between; align-items: center; border-bottom: 1px solid #eee;}
.ws-header h4 { font-size: var(--font-size24); font-weight: 600; line-height: 1.66em; color: #2c2c2c; }
.ws-header .ws-modal-close { position: relative; right: auto; top: auto; width: 14px; height: 14px; background: url(../images/sub/modal-close.png) center no-repeat; background-size: contain; border: none; border-color: transparent;}
.ws-form { padding: 40px; text-align: left; }
.ws-form dl { margin-bottom: 20px; }
.ws-form dl dt { line-height: 1.25em; font-weight: 600; color: #2c2c2c; margin-bottom: 12px; }
.ws-form dl dt .required { color: var(--color-primary); }
.ws-form dl dd .input { width: 100%; height: 56px; border-radius: 8px; border: 1px solid #eee; padding: 0 20px; font-size: var(--font-size16); color: #505050; }
.ws-form dl dd .input::placeholder { color: #a8a8a8; }
.ws-form .captcha-wrap {display:flex; gap:6px; height:56px;}
.ws-form .check { margin: 40px 0 30px; font-size: 14px; font-weight: 400; color: #2c2c2c; line-height: 1.14em; display: block; width: 100%; }
.ws-form .check .checkbox-wrap { display: block; margin-bottom: 18px; }
.ws-form .check .checkbox-wrap:last-child { margin-bottom: 0; }
.ws-form .check a { color: #a8a8a8; text-decoration: underline; text-underline-position: under; position: relative; top: -2px; }
.ws-form .buttons { width: 100%; }
.ws-form .submit-btn { width: 100%; height: 66px; border-radius: 33px; background: var(--color-primary); color: #fff; display: flex; align-items: center; justify-content: center; font-size: var(--font-size20); font-weight: 600; line-height: 1.7em; border: none; cursor: pointer;}
.ws-form .submit-btn-small { width: 50%; height: 66px; border-radius: 33px; background: var(--color-primary); color: #fff; display: flex; align-items: center; justify-content: center; font-size: var(--font-size20); font-weight: 600; line-height: 1.7em; border: none; cursor: pointer;}


/* 반응형 */
@media (max-width: 640px) {
    .ws-modal-inner{ border-radius: 5px; }
    .ws-header { padding: 15px;}
    .ws-form { padding: 15px; gap: 20px 10px;}
    .ws-form dl { width: 100%;}
    .ws-form dl dt { margin-bottom: 5px; }
    .ws-form dl dd .input { height: 40px; border-radius: 4px; padding: 0 10px;}
    .ws-form .captcha-wrap { height: 40px; }
    .ws-form .check { margin: 30px 0 0; font-size: 13px; }
    .ws-form .submit-btn { height: 40px; }
    .ws-form .submit-btn-small { height: 40px; }
    .submit-btn { margin: 30px auto 0;}
}
